petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscGetRelativePath

Given a filename, returns the relative path (removes all directory specifiers).

### Synopsis

    PetscErrorCode  PetscGetRelativePath(const char fullpath[],char path[],size_t flen)

Not Collective

### Input parameters

| fullpath | - full pathname
| path | - pointer to buffer to hold relative pathname
| flen | - size of path

### See Also

PetscGetFullPath()

Level:developer
Location:src/sys/fileio/rpath.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages